package testbidule;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory
{

    public void createInitialLayout(IPageLayout layout)
    {
        String editorArea = layout.getEditorArea();
        layout.setEditorAreaVisible(false);

        IFolderLayout folder = layout.createFolder(
                "messages", IPageLayout.TOP, 0.5f, editorArea); //$NON-NLS-1$
        folder.addPlaceholder("*:*"); //$NON-NLS-1$
        folder.addView(TryWindows.ID);
    }
}
